@echo off

cd /d %~dp0

echo =====
echo Adding trusted Sites [START]
echo =====

reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn-gw01" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn04" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn09" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn10" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn14" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn04-dr" /v "https" /t REG_DWORD /d 0x00000002 /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains\kubota.co.jp\ssl-vpn09-dr" /v "https" /t REG_DWORD /d 0x00000002 /f

echo =====
echo Adding trusted Sites [END]
echo =====


rem Check ProxyEnable
for /f "tokens=3 delims= " %%a in ('reg query "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyEnable') do set proxyenable=%%a
if %proxyenable%==0x0 goto fpcinst

rem Check ProxyOverride
reg query "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyOverride >NUL 2>&1
if %ERRORLEVEL%==1 goto addreg

rem Check include 127.*, k-eip.gr.kubota.co.jp
for /f "tokens=3 delims= " %%a in ('reg query "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyOverride') do set qoverride=%%a
echo "%qoverride%" | find "127.*" >NUL
if not ERRORLEVEL 1 (set a127=ald) else (set a127=127.*;)
echo "%qoverride%" | find "k-eip.gr.kubota.co.jp" >NUL
if not ERRORLEVEL 1 (set akeip=ald) else (set akeip=k-eip.gr.kubota.co.jp;)
if %a127% == ald if %akeip% == ald (
echo =====
echo Skip ProxyOverride
echo =====
goto fpcinst
)


rem REG add
:addreg
echo =====
echo Adding ProxyOverride [START]
echo =====

rem REG backup before rewrite
echo echo off > regorbak.bat
echo reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyOverride /t REG_SZ /d "%qoverride%" /f >> regorbak.bat
echo echo Restore ProxyOverride >> regorbak.bat
echo pause >> regorbak.bat

rem REG rewrite
if %a127% == ald (set aoverride="k-eip.gr.kubota.co.jp;%qoverride%") else (if %akeip% == ald (set aoverride="127.*;%qoverride%") else (set aoverride="127.*;k-eip.gr.kubota.co.jp;%qoverride%"))
reg add "HKEY_CURRENT_USER\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings" /v ProxyOverride /t REG_SZ /d %aoverride% /f

echo =====
echo Adding ProxyOverride [END]
echo =====


:fpcinst
echo =====
echo Install F5 edgeClient [START]
echo =====

rem F5のEXEファイル実行
powershell start-process f5vpn_setup.exe -verb runas

echo =====
echo Install F5 edgeClient [END]
echo =====
echo.

echo =====
echo LoopBack Address [START]
echo =====

rem Appトンネルを張った後にk-eip.gr.kubota.co.jp宛の通信を、トンネルのループバックアドレスに動的に変換

.\BIGIPEdgeClient-DNSRelayProxy.exe /q /a

echo =====
echo LoopBack Address [END]
echo =====
echo.

echo Installation completed.

pause
exit
